> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# Get one agent's usage and spend, by day and by person

GET https://astropods.com/api/v1/deployments/{id}/insights

Reference: https://docs.astropods.com/api-reference/astropods-api/agents/get-one-agents-usage-and-spend-by-day-and-by-person

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required) — Deployment ID

### Query parameters

- `days` (string, optional) — Window length in days (default 7, max 90)

## Response

### 200

OK

- `as_of` (string, optional)
- `days` (integer, optional)
- `from` (string, optional)
- `prior_cost_usd` (double, optional)
- `series` (list of DeploymentInsightsPoint, optional)
- `to` (string, optional)
- `total_cost` (double, optional)
- `users` (list of InsightsPersonRow, optional)

## Types

### DeploymentInsightsPoint

- `actor_count` (long, optional)
- `cost_usd` (double, optional)
- `day` (string, optional)
- `input_tokens` (long, optional)
- `output_tokens` (long, optional)
- `requests` (long, optional)
- `total_tokens` (long, optional)

### InsightsPersonRow

- `agents_used` (list of InsightsAgentChip, optional)
- `identity` (InsightsIdentityRef, optional)
- `key` (string, optional)
- `metrics` (InsightsPersonMetrics, optional)
- `search_text` (string, optional)

### InsightsAgentChip

- `avatar_account` (string, optional)
- `avatar_name` (string, optional)
- `href` (string, optional)
- `icon` (string, optional)
- `is_deleted` (boolean, optional)
- `key` (string, optional)
- `label` (string, optional)

### InsightsIdentityRef

- `avatar_account` (string, optional)
- `avatar_handle` (string, optional)
- `avatar_name` (string, optional)
- `deleted_at` (datetime, optional, nullable)
- `href` (string, optional)
- `icon` (string, optional)
- `id` (string, optional)
- `identity_key` (string, optional)
- `is_deleted` (boolean, optional)
- `kind` (string, optional)
- `label` (string, optional)
- `tooltip` (string, optional)
- `user_details` (UserDetails, optional)
- `user_id` (string, optional)

### InsightsPersonMetrics

- `cost_pct` (double, optional)
- `cost_usd` (double, optional)
- `last_seen` (string, optional)
- `requests` (integer, optional)
- `tokens` (integer, optional)

### UserDetails

- `avatar_url` (string, optional)
- `deleted` (boolean, optional)
- `display_name` (string, optional)
- `is_bot` (boolean, optional)
- `kind` (string, optional)
- `team_id` (string, optional)
- `username` (string, optional)

## Examples

**Response**

```json
{
  "as_of": "string",
  "days": 1,
  "from": "string",
  "prior_cost_usd": 1.1,
  "series": [
    {
      "actor_count": 1,
      "cost_usd": 1.1,
      "day": "string",
      "input_tokens": 1,
      "output_tokens": 1,
      "requests": 1,
      "total_tokens": 1
    }
  ],
  "to": "string",
  "total_cost": 1.1,
  "users": [
    {
      "agents_used": [
        {
          "avatar_account": "string",
          "avatar_name": "string",
          "href": "string",
          "icon": "string",
          "is_deleted": true,
          "key": "string",
          "label": "string"
        }
      ],
      "identity": {
        "avatar_account": "string",
        "avatar_handle": "string",
        "avatar_name": "string",
        "deleted_at": "2024-01-15T09:30:00Z",
        "href": "string",
        "icon": "string",
        "id": "string",
        "identity_key": "string",
        "is_deleted": true,
        "kind": "string",
        "label": "string",
        "tooltip": "string",
        "user_details": {
          "avatar_url": "string",
          "deleted": true,
          "display_name": "string",
          "is_bot": true,
          "kind": "string",
          "team_id": "string",
          "username": "string"
        },
        "user_id": "string"
      },
      "key": "string",
      "metrics": {
        "cost_pct": 1.1,
        "cost_usd": 1.1,
        "last_seen": "string",
        "requests": 1,
        "tokens": 1
      },
      "search_text": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/deployments/id/insights"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/deployments/id/insights';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/deployments/id/insights"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/deployments/id/insights")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://astropods.com/api/v1/deployments/id/insights")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://astropods.com/api/v1/deployments/id/insights', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/deployments/id/insights");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/deployments/id/insights")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```